# Uses of Enum Class
org.opensaml.xmlsec.AlgorithmPolicyConfiguration.Precedence

Packages that use AlgorithmPolicyConfiguration.Precedence
Package
Description
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of AlgorithmPolicyConfiguration.Precedence in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return AlgorithmPolicyConfiguration.Precedence
Modifier and Type
Method
Description
`AlgorithmPolicyConfiguration.Precedence`
AlgorithmPolicyConfiguration.`getIncludeExcludePrecedence()`
Get preference value indicating which should take precedence when both include and exclude collections are non-empty.
`static AlgorithmPolicyConfiguration.Precedence`
AlgorithmPolicyConfiguration.Precedence.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AlgorithmPolicyConfiguration.Precedence[]`
AlgorithmPolicyConfiguration.Precedence.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of AlgorithmPolicyConfiguration.Precedence in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as AlgorithmPolicyConfiguration.Precedence
Modifier and Type
Field
Description
`static final AlgorithmPolicyConfiguration.Precedence`
BasicAlgorithmPolicyConfiguration.`DEFAULT_PRECEDENCE`
Default precedence.
`private AlgorithmPolicyConfiguration.Precedence`
BasicAlgorithmPolicyConfiguration.`precedence`
Precedence flag.
Methods in org.opensaml.xmlsec.impl that return AlgorithmPolicyConfiguration.Precedence
Modifier and Type
Method
Description
`AlgorithmPolicyConfiguration.Precedence`
BasicAlgorithmPolicyConfiguration.`getIncludeExcludePrecedence()`
Get preference value indicating which should take precedence when both include and exclude collections are non-empty.
`protected AlgorithmPolicyConfiguration.Precedence`
AbstractSecurityParametersResolver.`resolveIncludeExcludePrecedence(CriteriaSet criteria, List<? extends AlgorithmPolicyConfiguration> configs)`
Resolve and return the effective algorithm include/exclude precedence based on supplied configuration.
Methods in org.opensaml.xmlsec.impl with parameters of type AlgorithmPolicyConfiguration.Precedence
Modifier and Type
Method
Description
`void`
BasicAlgorithmPolicyConfiguration.`setIncludeExcludePrecedence(AlgorithmPolicyConfiguration.Precedence value)`
Set preference value indicating which should take precedence when both includes and excludes are non-empty.